#include <bits/stdc++.h>
#define ll  long long
using namespace std;


int main()
{
    iostream::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin>>n;
    int mas[1000006]={0};
    for(int i=1;i<=n;i++)
    {
        int el;
        cin>>el;
        mas[i]=mas[i-1]+el;
    }
    int x=0,y=0,z=0,res=999999999;
    for(int i=1;i<=n;i++)
    {
        for(int j=i+1;j<=n;j++)
        {
            for(int l=j+1;l<=n;l++)
            {
                int el1=mas[i-1]+mas[n]-mas[l-1];
                int el2=mas[j-1]-mas[i-1];
                int el3=mas[l-1]-mas[j-1];
                int maxi=max({el1,el2,el3});
                int mini=min({el1,el2,el3});
                if(res > (maxi-mini) )
                {
                    x=i;
                    y=j;
                    z=l;
                    res=maxi-mini;
                }
            }
        }
    }
    cout<<res<<endl<<x<<" "<<y<<" "<<z<<endl;
}
